### Method

# Ggit Branch get_upstream

#### Declaration [src]

    GgitRef*
    ggit_branch_get_upstream (
      GgitBranch* branch
      GError** error
    )

#### Description [src]

Gets the reference supporting the remote tracking branch, given a local branch reference.

#### Return value

Type: `GgitRef`

The reference supporting the remote tracking branch or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.